import { AfterViewInit, EventEmitter } from '@angular/core';
import { BsUserAgent } from '../interfaces/user-agent';
import * as i0 from "@angular/core";
export declare class BsUserAgentDirective implements AfterViewInit {
    private platformId;
    constructor(platformId: Object);
    get isAndroid(): boolean;
    get isIos(): boolean;
    get isWindows(): boolean;
    get browserClass(): string | null;
    private getBrowser;
    ngAfterViewInit(): void;
    detected: EventEmitter<BsUserAgent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsUserAgentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BsUserAgentDirective, "[bsUserAgent]", never, {}, { "detected": "detected"; }, never, never, false, never>;
}
